Updates an app integration recaptcha

Updates an app integration ReCaptcha by the given id.

put
Path parameters
idstringRequired

The app integration ReCaptcha id.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Provides a data transfer object for the ReCaptcha integration which is used for command requests.

appIntegrationIdstring · min: 1Required

This is used to associate this configuration with a specific integration instance.

versionstring · min: 1Required

Gets or sets the version of the ReCaptcha being used (e.g., v2, v3). Different versions may have different behavior and setup requirements.

siteKeystring · min: 1Required

This is the public key used on the client-side to render the ReCaptcha widget.

verifyURLstring · nullableOptional

The verify URL of the app integration.

secretKeystring · nullableOptional

This is the private key used server-side to validate ReCaptcha responses. It's optional to allow scenarios where only public configuration is required.

accountConfigNotesstring · nullableOptional

Gets or sets any additional notes or identifiers related to the account or setup that manages this ReCaptcha configuration.

isDefaultbooleanOptional

Flag to indicate if the analytics integration is the default. By default, it is false.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/app-integrations/recaptcha/{id}

Last updated